> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a DigitalOcean cluster



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/clusters/digitalocean
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/digitalocean:
    post:
      tags:
        - DigitalOcean Cluster API
      summary: Create a DigitalOcean cluster
      operationId: create_digitalocean_cluster_endpoint_api_v1_clusters_digitalocean_post
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateDigitaloceanClusterRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateDigitaloceanClusterResponse'
          description: Cluster created successfully
        '400':
          description: Invalid request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    CreateDigitaloceanClusterRequest:
      properties:
        bastion_size:
          default: s-1vcpu-1gb
          title: Bastion Size
          type: string
        cni:
          default: flannel
          enum:
            - flannel
            - calico
            - cilium
          title: Cni
          type: string
        control_plane_count:
          default: 1
          title: Control Plane Count
          type: integer
        control_plane_size:
          default: s-2vcpu-4gb
          title: Control Plane Size
          type: string
        credential_id:
          format: uuid4
          title: Credential Id
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        distribution:
          default: k3s
          title: Distribution
          type: string
        etcd_node_count:
          default: 3
          title: Etcd Node Count
          type: integer
        etcd_size:
          default: s-2vcpu-4gb
          title: Etcd Size
          type: string
        etcd_topology:
          default: stacked
          title: Etcd Topology
          type: string
        external_cloud_provider:
          default: true
          title: External Cloud Provider
          type: boolean
        gitops_branch:
          default: master
          title: Gitops Branch
          type: string
        gitops_credential_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Gitops Credential Name
        gitops_repository:
          anyOf:
            - type: string
            - type: 'null'
          title: Gitops Repository
        include_networking:
          default: true
          title: Include Networking
          type: boolean
        kubernetes_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Kubernetes Version
        name:
          title: Name
          type: string
        network_ip_range:
          anyOf:
            - type: string
            - type: 'null'
          title: Network Ip Range
        node_groups:
          anyOf:
            - items:
                $ref: '#/components/schemas/CreateDigitaloceanNodeGroupRequest'
              type: array
            - type: 'null'
          title: Node Groups
        region:
          title: Region
          type: string
        ssh_key_credential_id:
          format: uuid4
          title: Ssh Key Credential Id
          type: string
        worker_count:
          default: 1
          title: Worker Count
          type: integer
        worker_size:
          default: s-2vcpu-4gb
          title: Worker Size
          type: string
      required:
        - name
        - credential_id
        - ssh_key_credential_id
        - region
      title: CreateDigitaloceanClusterRequest
      type: object
    CreateDigitaloceanClusterResponse:
      properties:
        cluster_id:
          format: uuid4
          title: Cluster Id
          type: string
        name:
          title: Name
          type: string
      required:
        - cluster_id
        - name
      title: CreateDigitaloceanClusterResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    CreateDigitaloceanNodeGroupRequest:
      properties:
        count:
          default: 1
          title: Count
          type: integer
        instance_type:
          title: Instance Type
          type: string
        labels:
          additionalProperties:
            type: string
          title: Labels
          type: object
        name:
          title: Name
          type: string
        taints:
          items:
            $ref: '#/components/schemas/NodeTaint'
          title: Taints
          type: array
      required:
        - name
        - instance_type
      title: CreateDigitaloceanNodeGroupRequest
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    NodeTaint:
      properties:
        effect:
          enum:
            - NoSchedule
            - PreferNoSchedule
            - NoExecute
          title: Effect
          type: string
        key:
          title: Key
          type: string
        value:
          default: ''
          title: Value
          type: string
      required:
        - key
        - effect
      title: NodeTaint
      type: object

````